merge-master:
	git checkout master;git merge pre;git push;git checkout dev;

merge-pre:
	git checkout pre;git merge dev;git push;git checkout dev;

create-tag:
	git checkout master;git tag v1.4.0;git push origin --tags;git checkout dev;

remove-tag:
	git tag -d v1.2.0;git push origin :refs/tags/v1.1.8;

gen-rsaprivatekey:
	openssl genrsa -out rsaprivatekey.pem 1024

gen-rsapublickey:
	openssl rsa -in rsaprivatekey.pem -out rsapublickey.pem -pubout

.PHONY: merge create-tag